View Issue Details

IDProjectCategoryView StatusLast Update
0000532MetaPostbugpublic2011-05-16 13:37
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.503 
Target VersionFixed in Version1.504 
Summary0000532: crash on quit
DescriptionAgain using the test file from the previous tracker, there is a segfault on finish.
Additional InformationProbably this relates to the font (TFM) generation code, valgrind reports:

Transcript written on test.log.
==26933== Invalid free() / delete / delete[]
==26933== at 0x4C244FC: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==26933== by 0x41C602: mp_xfree (mp.w:2760)
==26933== by 0x418315: mp_free (mp.w:29999)
==26933== by 0x457C6C: mp_finish (mp.w:26700)
==26933== by 0x4056A1: main (mpost.w:1277)
==26933== Address 0x79fdda0 is 0 bytes inside a block of size 96 free'd
==26933== at 0x4C244FC: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==26933== by 0x41C602: mp_xfree (mp.w:2760)
==26933== by 0x418315: mp_free (mp.w:29999)
==26933== by 0x457C6C: mp_finish (mp.w:26700)
==26933== by 0x4056A1: main (mpost.w:1277)
TagsNo tags attached.

Activities

Taco

2011-02-10 06:46

administrator   ~0000740

fixed in #1444

Issue History

Date Modified Username Field Change
2010-12-04 09:53 Taco New Issue
2010-12-04 09:53 Taco Status new => assigned
2010-12-04 09:53 Taco Assigned To => Taco
2011-02-10 06:46 Taco Note Added: 0000740
2011-02-10 06:46 Taco Status assigned => resolved
2011-02-10 06:46 Taco Resolution open => fixed
2011-05-16 13:37 Taco Fixed in Version => 1.504
2011-05-16 13:37 Taco Status resolved => closed